package com.ruoyi.abuwx.mapper.exam;

import com.ruoyi.abuwx.domain.exam.ExmQuestionAnswer;

import java.util.List;

/**
 * 试题答案Mapper接口
 * 
 * @author ruoyi
 * @date 2024-05-17
 */
public interface ExmQuestionAnswerMapper 
{
    /**
     * 查询试题答案
     * 
     * @param id 试题答案主键
     * @return 试题答案
     */
    public ExmQuestionAnswer selectExmQuestionAnswerById(Long id);

    /**
     * 查询试题答案列表
     * 
     * @param exmQuestionAnswer 试题答案
     * @return 试题答案集合
     */
    public List<ExmQuestionAnswer> selectExmQuestionAnswerList(ExmQuestionAnswer exmQuestionAnswer);

    /**
     * 新增试题答案
     * 
     * @param exmQuestionAnswer 试题答案
     * @return 结果
     */
    public int insertExmQuestionAnswer(ExmQuestionAnswer exmQuestionAnswer);

    /**
     * 修改试题答案
     * 
     * @param exmQuestionAnswer 试题答案
     * @return 结果
     */
    public int updateExmQuestionAnswer(ExmQuestionAnswer exmQuestionAnswer);

    /**
     * 删除试题答案
     * 
     * @param id 试题答案主键
     * @return 结果
     */
    public int deleteExmQuestionAnswerById(Long id);

    /**
     * 批量删除试题答案
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteExmQuestionAnswerByIds(Long[] ids);
}
